window.Gleam.initSearch([{"doc":"observatory","title":"observatory","content":"# Observatory\n\n[![Package Version](https://img.shields.io/hexpm/v/observatory)](https://hex.pm/packages/observatory)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/observatory/)\n\nA Gleam client library for [Prometheus](https://prometheus.io) with a focus on simplicity. Currently heavily WIP.\n\n```sh\ngleam add observatory\n```\n```gleam\nimport observatory\n\nconst http_status_200_metric = &quot;http_total_status_200&quot;\nconst search_total_items_returned_metric = &quot;search_total_items_returned&quot;\n\npub fn main() {\n    let observatory = observatory.init()\n    |&gt; observatory.counter_init(http_status_200_metric)\n    |&gt; observatory.counter_init(search_total_items_returned_metric)\n    \n    // Some code here...\n    \n    observatory.counter_inc(http_status_200_metric)\n    observatory.counter_inc_by(\n      search_total_items_returned_metric, \n      returned_items_count\n    )\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/observatory&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"observatory","title":"Collector","content":"pub type Collector {\n  ACounter(Counter)\n}\n\nACounter(Counter)\n\n\nSynonyms:\nobservatory.Collector\nobservatory Collector","url":"observatory.html#Collector"},{"doc":"observatory","title":"CollectorRegistry","content":"pub type CollectorRegistry =\n  Dict(String, Collector)\n A CollectorRegistry contains a map of all metric names to their respective Collectors\n \n\nSynonyms:\nobservatory.CollectorRegistry\nobservatory CollectorRegistry","url":"observatory.html#CollectorRegistry"},{"doc":"observatory","title":"Counter","content":"pub type Counter =\n  Float\n\n\nSynonyms:\nobservatory.Counter\nobservatory Counter","url":"observatory.html#Counter"},{"doc":"observatory","title":"Observatory","content":"pub type Observatory {\n  Observatory(registry: CollectorRegistry)\n}\n Observatory is a Gleam client library for Prometheus\n \nObservatory(registry: CollectorRegistry)\n\n\nSynonyms:\nobservatory.Observatory\nobservatory Observatory","url":"observatory.html#Observatory"},{"doc":"observatory","title":"collect","content":"pub fn collect(\n  observatory: Observatory,\n) -&gt; List(#(String, Float))\n Return a list of metric names and samples from all Collectors in the CollectorRegistry\n \nSynonyms:\nobservatory.collect\nobservatory collect","url":"observatory.html#collect"},{"doc":"observatory","title":"counter_inc","content":"pub fn counter_inc(\n  observatory: Observatory,\n  name: String,\n) -&gt; Observatory\n Increment a counter by 1.0.\n \nSynonyms:\nobservatory.counter_inc\nobservatory counter_inc","url":"observatory.html#counter_inc"},{"doc":"observatory","title":"counter_inc_by","content":"pub fn counter_inc_by(\n  observatory: Observatory,\n  name: String,\n  increment: Float,\n) -&gt; Observatory\n Increment a counter by a specified Float.\n \nSynonyms:\nobservatory.counter_inc_by\nobservatory counter_inc_by","url":"observatory.html#counter_inc_by"},{"doc":"observatory","title":"counter_init","content":"pub fn counter_init(\n  observatory: Observatory,\n  name: String,\n) -&gt; Observatory\n Initialize a counter to 0.0.\n \nSynonyms:\nobservatory.counter_init\nobservatory counter_init","url":"observatory.html#counter_init"},{"doc":"observatory","title":"init","content":"pub fn init() -&gt; Observatory\n Initialize Observatory with an empty Collector Registry\n \nSynonyms:\nobservatory.init\nobservatory init","url":"observatory.html#init"},{"doc":"observatory","title":"observatory","content":"","url":"observatory.html"}]);